diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 689c2ad..058f342 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -338,6 +338,13 @@ and Technology, A-2:??, 1992. CODEN ITATEC. ISSN 0926-5473
 \bibitem[Ano95]{Ano95}
 Anonymous. GAMM 94 annual meeting. Zeitschrift fur Angewandte Mathematik und
 Physik, 75 (suppl. 2), 1995, CODEN ZAMMAX, ISSN 0044-2267
+\bibitem[BGJ70]{BGJ70}
+Fred W. Blair, James H. Griesmer, Richard D. Jenks
+``An interactive facility for symbolic mathematics''
+Proc. International Computing Symposium, Bonn, Germany, 1970 pp394-419
+\bibitem[BJ70]{BJ70}
+Fred W. Blair, Richard D. Jenks
+``LPL: LISP programming language'' IBM Research Report, RC3062 Sept 1970
 \bibitem[BC85]{BC85}
 Bruno Buchberger and Bob F. Caviness, editors EUROCAL '85: European
 Conference on Computer Algebra, Linz, Austria, April 1-3, 1985;
@@ -349,37 +356,51 @@ Two volumes
 P. A. Broadbery, T. G{\'o}mez-D{\'\i}az, and S. M. Watt
 ``On the implementation of dynamic evaluation'' In Levelt [Lev95]
 pages 77-84 ISBN 0-89791-699-9 LCCN QA76.95 I59 1995
-\verb|http://www.acm.org/pubs/citations/proceedings/issac/220346/|
-\verb|p77-broadbery|
-ACM order number 505950
+ACM order number 505950\\
+\verb|www.acm.org/pubs/citations/proceedings/issac/220346/p77-broadbery|
 \bibitem[Boe89]{Boe89}
 Hans-J. Boehm. ``Type inference in the presence of type abstraction'' 
-ACM SIGPLAN Notices, 24(7) pp192-206 July 1989 CODEN SINODQ ISSN 0362-1340
-\verb|http://www.acm.org/pubs/citations/proceedings/pldi/73141/|
-\verb|p192-boehm|
+ACM SIGPLAN Notices, 24(7) pp192-206 July 1989 CODEN SINODQ ISSN 0362-1340\\
+\verb|www.acm.org/pubs/citations/proceedings/pldi/73141/p192-boehm|
+\bibitem[Bou91]{Bou91}
+Jean-Louis Boulanger
+``Etude de la compilation de scratchpad 2''
+Rapport de DEA Universite dl lille 1, Sept 1991
+\bibitem[Bou93a]{Bou93a}
+Jean-Louis Boulanger
+``Axiom, language fonctionnel \`a d\'eveloppement objet''
+IT 255, Oct 1993
+\bibitem[Bou93b]{Bou93b}
+Jean-Louis Boulanger,
+``AXIOM, A Functional Language with Object Oriented Development''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Bou95]{Bou95}
 J. L. Boulanger ``Object oriented method for Axiom''
-ACM SIGPLAN Notices, 30(2) pp33-41 February 1995 CODEN SINODQ ISSN 0362-1340
+ACM SIGPLAN Notices, 30(2) pp33-41 February 1995 CODEN SINODQ ISSN 0362-1340\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Bro89]{Bro89}
 M. Bronstein. ``Simplificatoin of real elementary functions'' ACM [ACM89]
 pages 207-211 ISBN 0-89791-325-6 LCCN QA76.95.I59 1989
-\bibitem[Bro91]{Bro91}
+\bibitem[Bro91a]{Bro91a}
 M. Bronstein, ``The Risch differential equation on an algebraic curve''
 in Watt [Wat91], pp241-246 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
+\bibitem[Bro91b]{Bro91b}
+M. Bronstein. ``The Risch differential equation on an
+algebraic curve'' In S.Watt, editor, {\sl Proceedings of ISSAC'91},
+pages 241-246, ACM Press, 1991.
 \bibitem[Bro93]{Bro93}
 Manuel Bronstein, editor ISSAC'93: proceedings of the 1993 International
 Symposium on Symbolic and Algebraic Computation, July 6-8, 1993, Kiev, Ukraine,
 ACM Press New York, NY 10036, USA, 1993 ISBN 0-89791-604-2 
 LCCN QA76.95 I59 1993 ACM order number 505930
 \bibitem[Bru09]{Bru08}
-Brunelli, J.C. ``Streams and Lazy Evaluation Applied to Integrable Models''
+Brunelli, J.C. ``Streams and Lazy Evaluation Applied to Integrable Models''\\
 \verb|http://arxiv.org/PS_cache/nlin/pdf/0408/0408058v1.pdf|
 \bibitem[BS93]{BS93}
 Manuel Bronstein and Bruno Salvy ``Full partial fraction decomposition of
 rational functions'' In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2
-LCCN QA76.95 I59 1993
-\verb|http://www.acm.org/pubs/citations/proceedings/issac/164081/|
-\verb|p157-bronstein|
+LCCN QA76.95 I59 1993\\
+\verb|www.acm.org/pubs/citations/proceedings/issac/164081/p157-bronstein|
 \bibitem[BS94]{BS94}
 T. Beneke and W. Schwippert. Double-track into the future: MathCAD will
 gain new users with Standard and Plus versions. Elektronik, 43(15) pp107-110,
@@ -388,13 +409,27 @@ July 1994, CODEN EKRKAR ISSN 0013-5658
 Borwein, Jonathan
 ``Multimedia tools for communicating mathematics''
 Springer-Verlag ISBN 3-540-42450-4 p58
+\bibitem[BHR00]{BHR00}
+S. Boulm\'e, T. Hardin, R. Rioboo
+``Polymorphic Data Types, Objects, Modules and Functors,: is it too much?''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[BHHMR01]{BHHMR01}
+S. Boulm\'e, T. Hardin, D. Hirschkoff, V. M\'enissier-Morain, R. Rioboo
+``On the way to certify Computer Algebra Systems''
+Calculemus-2001\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[BT94]{BT94}
 R. Brown and A. Tonks ``Calculations with simplicial and cubical groups
 in AXIOM'' Journal of Symbolic Computation 17(2) pp159-179 February 1994
 CODEN JSYCEH ISSN 0747-7171
+\bibitem[BD95]{BD95}
+Ronald Brown, Winfried Dreckmann,
+``Domains of data and domains of terms in AXIOM''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Buh05]{Buh05}
-Buhl, Soren L., ``Some Reflections on Integrating a Computer Algebra System
-in R'' \verb|www.math.auc.dk/~slb/kurser/software/RCompAlg.pdf|
+Buhl, Soren L., 
+``Some Reflections on Integrating a Computer Algebra System in R''\\
+\verb|www.math.auc.dk/~slb/kurser/software/RCompAlg.pdf|
 \bibitem[Bur91]{Bur91}
 W. H. Burge, ``Scratchpad and the Rogers-Ramanujan identities'' In 
 Watt [Wat91], pp189-190 ISBN 0-89791-437-6 LCCN QA76.95.I59 1991
@@ -421,15 +456,15 @@ Scratchpad) Rapports de recherche 1586, Institut National de Recherche en
 Informatique et en Automatique, Le Chesnay, France, January 1992, 12pp
 \bibitem[CCR]{CCR}
 Caprotti, Olga, Cohen, Arjeh M., and Riem, Manfred
-``Java Phrasebooks for Computer Algebra and Automated Deduction''
+``Java Phrasebooks for Computer Algebra and Automated Deduction''\\
 \verb|www.sigsam.org/bulletin/articles/132/paper8.pdf|
 \bibitem[CC99]{CC99}
 Capriotti, O. and Carlisle, D.
-``OpenMath and MathML: Semantic Mark Up for Mathematics''
+``OpenMath and MathML: Semantic Mark Up for Mathematics''\\
 \verb|www.acm.org/crossroads/xrds6-2/openmath.html|
 \bibitem[CCCS]{CCCS}
 Capriotti, Olga, Cohen, Arjeh M., Cuypers, Hans, and Sterk, Hans
-``OpenMath Technology for Interactive Mathematical Documents''
+``OpenMath Technology for Interactive Mathematical Documents''\\
 \verb|www.win.tue.nl/~hansc/lisbon.pdf|
 \bibitem[Che86]{Che86}
 G.W. Cherry "Integration in Finite Terms with Special Functions: The Logarithmic Integral"
@@ -447,9 +482,19 @@ Marcel Dekker, Inc (1990) ISBN 0-8247-8341-7
 Cohen, Arjeh M., Cuypers, Hans, Barreiro, Ernesto Reinaldo, Sterk, Hans
 ``Interactive Mathematical Documents on the Web''
 Springer 9783540002576-c1.pdf
+\bibitem[CFMPxxa]{CFMPxxa}
+Marc Conrad, Tim French, Carsten Maple, Sandra Pott
+``Approaching Inheritance from a Natural Mathematical Perspective and from
+a Java Driven Viewpoint: a Comparative Review''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[CFMPxxb]{CFMPxxb}
+Marc Conrad, Tim French, Carsten Maple, Sandra Pott
+``Mathematical Use Cases lead naturally to non-standard Inheritance
+Relationships: How to make them accessible in a mainstream language?''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[CHK]{CHK}
 Cuypers, Hans, Hendriks, Maxim, and Knopper, Jan Willem
-``Interactive Geometry inside MathDox''
+``Interactive Geometry inside MathDox''\\
 \verb|www.win.tue.nl/~hansc/MathDox_and_InterGeo_paper.pdf|
 \bibitem[Dal92]{Dal92}
 S. Dalmas ``A polymorphic functional language applied to symbolic computation''
@@ -463,15 +508,21 @@ T. Daly ``Axiom as open source'' SIGSAM Bulletin (ACM Special Interest Group
 on Symbolic and Algebraic Manipulation) 36(1) pp28-?? March 2002
 CODEN SIGSBZ ISSN 0163-5824
 \bibitem[Dal03]{Dal03}
-Daly, Timothy, ``The Axiom Wiki Website''
+Daly, Timothy, ``The Axiom Wiki Website''\\
 \verb|http://axiom.axiom-developer.org|
-\bibitem[Dal09]{Dal09}
-Daly, Timothy, "The Axiom Literate Documentation"
-\verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
 \bibitem[Dal06]{Dal06}
 Timothy Daly ``Axiom Volume 1: Tutorial'' Lulu, Inc. 860 Aviation Parkway,
-Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp
+Suite 300, Morrisville, NC 27560 USA, 2006 ISBN 141166597X 287pp\\
 \verb|http://www.lulu.com/content/190827|
+\bibitem[Dal09]{Dal09}
+Daly, Timothy, "The Axiom Literate Documentation"\\
+\verb|http://axiom.axiom-developer.org/axiom-website/documentation.html|
+\bibitem[Dal13]{Dal13}
+Daly, Timothy
+``Literate Programming in the Large'' 
+April 8-9, 2013 Portland Oregon\\
+\verb|conf.writethedocs.org|\\
+\verb|daly.axiom-developer.org|
 \bibitem[Dav79]{Dav79}
 Davenport, J.H. SPAD.SCRIPT
 VM/370 SPAD.SCRIPTS August 24, 1979
@@ -494,28 +545,37 @@ UK / etc., 1989 ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 \bibitem[Dav92a]{Dav92a}
 J. H. Davenport ``The AXIOM system'' AXIOM Technical Report TR5/92 (ATR/3)
 (NP2492) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, December 1992 
+Oxford, UK, December 1992 \\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[Dav92b]{Dav92b}
 J. H. Davenport ``How does one program in the AXIOM system?'' AXIOM Technical
 Report TR6/92 (ATR/4)(NP2493) Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK December 1992
-\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+Grove, IL, USA and Oxford, UK December 1992\\
+\verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Dav93]{Dav93}
 J. H. Davenport ``Primality testing revisited'' Technical Report TR2/93
 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
-and Oxford, UK, August 1993
+and Oxford, UK, August 1993\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[DFxx]{DFxx}
+James Davenport, Christ\'ele Faure
+``The Unknown in Computer Algebra''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Dav00]{Dav00}
 Davenport, James
 ``13th OpenMath Meeting''
-\verb|xml.coverpages.org/openmath13.html|
+James H. Davenport
+``A New Algebra System''
+May 1984\\
+\verb|xml.coverpages.org/openmath13.html|\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Dav10]{Dav10}
 Davenport, J. H. ``Computer Algebra'' \hfill\\
 \verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf|
 \bibitem[Dav12]{Dav12}
 Davenport, J.H.
-``Computer Algebra''
+``Computer Algebra''\\
 \verb|staff.bath.ac.uk/masjhd/JHD-CA.pdf| Feb, 2012
 \bibitem[DSTxx]{DSTxx}
 Davenport, J. H., Siret, and Tournier ``Computer Algebra''  \hfill\\
@@ -534,7 +594,7 @@ Proceedings of the Workshop on Symbolic and Numeric Computing, ed by Apiola, H.
 and Laine, M. and Valkeila, E. pp1-12 University of Helsinki, Finland (1994)
 \bibitem[Dew]{Dew}
 Dewar, Mike
-``OpenMath: An Overview''
+``OpenMath: An Overview''\\
 \verb|www.sigsam.org/bulletin/articles/132/paper1.pdf|
 \bibitem[DGJ84]{DGJ84}
 J. Davenport, P. Gianni, R. Jenks, V. Miller, S. Morrison, M. Rothstein, 
@@ -549,11 +609,11 @@ NAG Ltd., Oxford, 1992
 J. H. Davenport, P. Gianni, and B. M. Trager ``Scratchpad's view of algebra
 II: A categorical view of factorization'' Technical Report TR4/92 (ATR/2)
 (NP2491), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, December 1992
+Oxford, UK, December 1992\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[DGW]{DGW}
-Dalmas, St\'ephane, Gae\"tano, Marc, and Watt, Stephen
-``An OpenMath 1.0 Implementation''
+Dalmas, St\'ephane, Ga\"etano, Marc, and Watt, Stephen
+``An OpenMath 1.0 Implementation''\\
 \verb|citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.116.4401.pdf|
 \bibitem[DJ92]{DJ92}
 D. Duval and F. Jung ``Examples of problem solving using computer algebra''
@@ -566,9 +626,14 @@ Sam Dooley, editor. ISSAC 99: July 29-31, 1999, Simon Fraser University,
 Vancouver, BC, Canada: proceedings of the 1999 International Symposium on
 Symbolic and Algebraic Computation. ACM Press, New York, NY 10036, USA, 1999.
 ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
+\bibitem[Doy97]{Doy97}
+Nicolas James Doye
+``Order Sorted Computer Algebra and Coercions''
+Ph.D. Thesis University of Bath 1997\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Doy99]{Doy99}
 Nicolas J. Doye. ``Automated coercion for Axiom'' in Dooley [Doo99], pp229-235
-ISBN 1-58113-073-2 LCCN QA76.95.I57 1999
+ISBN 1-58113-073-2 LCCN QA76.95.I57 1999 ACM Press\\
 \verb|http://www.acm.org/pubs/contents/proceedings/issac/309831|
 \bibitem[DST88]{DST88}
 J. H. Davenport, Y. Siret, and E. Tournier. Computer Algebra: Systems and
@@ -582,16 +647,23 @@ Report, ATR/1, NAG Ltd., Oxford, 1992
 \bibitem[DT92]{DT92}
 J. H. Davenport and B. M. Trager ``Scratchpad's view of algebra I: Basic
 commutative algebra'' Technical Report TR3/92 (ATR/1)(NP2490), Numerical
-Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, December 1992. 
+Algorithms Group, Inc., Downer's Grove, IL, USA and Oxford, UK, 
+December 1992. \\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[DRxx]{DRxx}
+C\'esar Dom\'inguez and Julio Rubio
+``Modeling Inheritance as Coercion in a Symbolic Computation System''
+ISSAC 2001 ACM  1-58113-417-7/01/0007\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Dun98]{Dun98}
 Dunstan, Martin, Kelsey, Tom, Linton, Steve, Martin, Ursula
-``Lightweight Formal Methods For Computer Algebra Systems''
-\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|
+``Lightweight Formal Methods For Computer Algebra Systems''\\
+\verb|www.cs.st-andrews.ac.uk/~tom/pub/issac98.pdf|\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Dun97]{Dun97}
 Dunstand, U, Linton
 ``Embedded Verification Techniques for Computer Algebra Systems''
-Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001
+Grant citation GR/L48256 Nov 1, 1997-Feb 28, 2001\\
 \verb|www.cs.st-andrews.ac.uk/research/output/detail?output=ML97.php|
 \bibitem[Dun99]{Dun99}
 ``Formal Methods for Extensions to CAS''
@@ -600,24 +672,28 @@ FM 99, Toulouse, France, Sept 20-24, 1999, p1758-1777
 \bibitem[Dun99a]{Dun99a}
 Dunstan, MN
 ``Larch/Aldor - A Larch BISL for AXIOM and Aldor''
-PhD Thesis, 1999
-\verb|www.cs.st-andrews.uk/files/publications/Dun99.php|
+PhD Thesis, 1999\\
+\verb|www.cs.st-andrews.uk/files/publications/Dun99.php|\\
 \verb|axiom-portal.newsynthesis.org/refs/articles/mnd-sep99-thesis.pdf|
+\bibitem[Dunxx]{Dunxx}
+Martin N. Dunstan
+``Adding Larch/Aldor Specifications to Aldor''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[DGKM01]{DGKM01}
 Dunstan, Martin, Gottliebsen, Hanne, Kelsey, Tom and Martin, Ursula
 ``Computer Algebra meets Automated Theorem Proving: A Maple-PVS Interface''
-TPHOLS 2001, Edinburgh
+TPHOLS 2001, Edinburgh\\
 \verb|www.cs-st-andrews.ac.uk/~tom/pub/tphols.ps|
 \bibitem[DGKM01a]{DGKM01a}
 Dunstan, Martin, Gottliebsen, Hanne, Kelsey, Tom and Martin, Ursula
 ``Computer Algebra meets Automated Theorem Proving: A Maple-PVS Interface''
-Calculemus 2001, Siena
+Calculemus 2001, Siena\\
 \verb|www.cs-st-andrews.ac.uk/~tom/pub/dunstanetal.ps|
 \bibitem[Du95]{Du95}
 Duval, D. ``Evaluation dynamique et cl\^oture alg\'ebrique en Axiom''. 
 Journal of Pure and Applied Algebra, no99, 1995, pp. 267--295.
 \bibitem[ES10]{ES10}
-Burcin Er\"ocal and William Stein ``The Sage Project''
+Burcin Er\"ocal and William Stein ``The Sage Project''\\
 \verb|wstein.org/papers/icms/icms_2010.pdf|
 \bibitem[Fat90]{Fat90}
 R. J. Fateman ``Advances and trends in the design and construction of 
@@ -627,10 +703,10 @@ ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 Fateman, R. J. ``An incremental approach to building a mathematical \hfill\\
 expert out of software'' 4/19/2005\hfill\\
 \verb|www.cs.berkeley.edu/~fateman/papers/axiom.pdf|
-\bibitem[FD]{FDN00}
+\bibitem[FDN00a]{FDN00a}
 Faure, Christ\'ele, Davenport, James
 ``Parameters in Computer Algebra''
-\bibitem[FDN00]{FDN00}
+\bibitem[FDN00b]{FDN00b}
 Faure, Christ\'ele, Davenport, James, Naciri, Hanane
 ``Multi-values Computer Algebra''
 ISSN 0249-6399 Institut National De Recherche en Informatique et en
@@ -647,7 +723,7 @@ International Symposium DISCO '92 Proceedings. Springer-Verlag, Berlin,
 Germany / Heildelberg, Germany / London, UK / etc., 1993. ISBN 0-387-57272-4
 (New York), 3-540-57272-4 (Berlin). LCCN QA76.9.S88I576 1992
 \bibitem[Fog11]{Fog11}
-Fogus, Michael ``UnConj''
+Fogus, Michael ``UnConj''\\
 \verb|clojure.com/blog/2011/11/22/unconj.html|
 \bibitem[For90]{For90}
 A. Fortenbacher. ``Efficient type inference and coercion in computer algebra''
@@ -658,7 +734,7 @@ Francois Fouche. ``Une implantation de l'algorithme de Kovacic en Scratchpad''
 Technical report, Institut de Recherche Math{\'{e}}matique Avanc{\'{e}}e''
 Strasbourg, France, 1990 31pp
 \bibitem[Fris]{Fris}
-Frisco ``Objectives and Results''
+Frisco ``Objectives and Results''\\
 \verb|http://www.nag.co.uk/projects/frisco/frisco/node3.htm|
 \bibitem[GCL92]{GCL92}
 Geddes, Keith O., Czapor, Stephen R., and Labahn, George
@@ -699,12 +775,13 @@ ISBN 0-89791-489-9 (soft cover), 0-89791-490-2 (hard cover)
 LCCN QA76.95.I59 1992
 \bibitem[Gon96]{Gon96}
 Gonnet, Gaston H.
-``Official verion 1.0 of the Meta Content Dictionary''
+``Official verion 1.0 of the Meta Content Dictionary''\\
 \verb|www.inf.ethz.ch/personal/gonnet/ContDict/Meta|
 \bibitem[GJ71]{GJ71}
 J. H. Griesmer and R. D. Jenks ``SCRATCHPAD/1 -- an interactive facility for
-symbolic mathematics'' In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971
-\verb|http://delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|
+symbolic mathematics'' In Petrick [Pet71], pp42-58. LCCN QA76.5.S94 1971\\
+\verb|http://delivery.acm.org/10.1145/810000/806266/p42-griesmer.pdf|\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[GJ72a]{GJ72a}
 J. Griesmer and R. Jenks. ``Experience with an online symbolic math system
 SCRATCHPAD''. in Online'72 [Onl72] ISBN 0-903796-02-3 LCCN QA76.55.O54 1972
@@ -722,8 +799,8 @@ IBM Research Publication RA70 June 1975
 Johannes Grabmeier, Erich Kaltofen, and Volker Weispfenning, editors.
 Computer algebra handbook: foundations, applications, systems.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
-2003. ISBN 3-540-65466-6 637pp Includes CDROM
-\verb|http://www.springer.com/sgw/cda/frontpage/|
+2003. ISBN 3-540-65466-6 637pp Includes CDROM\\
+\verb|http://www.springer.com/sgw/cda/frontpage/|\\
 \verb|0,11855,1-102-22-1477871-0,00.html|
 \bibitem[GL93]{GL93}
 A. Goodloe and P. Loustaunau. ``An abstract data type development of graded
@@ -743,15 +820,26 @@ CODEN JSYCEH ISSN 0747-7171
 P. Gianni and T. Mora ``Algebraic solution of systems of polynomial equations
 using Gr{\"o}bner bases. In Huguet and Poli [HP89], pp247-257
 ISBN 3-540-51082-6 LCCN QA268.A35 1987
-\bibitem[GM94]{GM94}
-D. Gruntz and M. Monagan ``Introduction to Gauss'' SIGSAM Bulletin (ACM
-Special Interest Group on Symbolic and Algebraic Manipulation), 28(3) pp3-19
-August 1994 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Gra98]{Gra98}
+Hans-Gert Gr\"abe
+``About the Polynomial System Solve Facility of Axiom, Macyma, Maple
+Mathematica, MuPAD, and Reduce''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[GS92]{GS92}
 J. Grabmeier and A. Scheerhorn ``Finite fields in Axiom'' AXIOM Technical
 Report TR7/92 (ATR/5)(NP2522), Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK, 1992
+Grove, IL, USA and Oxford, UK, 1992\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
+\bibitem[GM94]{GM94}
+D. Gruntz and M. Monagan ``Introduction to Gauss'' SIGSAM Bulletin (ACM
+Special Interest Group on Symbolic and Algebraic Manipulation), 28(3) pp3-19
+August 1994 CODEN SIGSBZ ISSN 0163-5824
+\bibitem[Gru96]{Gru96}
+Dominik Gruntz
+``On Computing Limits in a Symbolic Manipulation System''
+Thesis, Swiss Federal Institute of Technology Z\"urich 1996
+Diss. ETH No. 11432\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Hec01]{Hec01}
 Heck, A. ``Variables in computer algebra, mathematics and science''
 The International Journal of Computer Algebra in Mathematics Education
@@ -768,18 +856,13 @@ Computer Science.
 Springer-Verlag, Berlin, Germany / Heildelberg, Germany / London, UK / etc., 
 1988 ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
 \bibitem[Jen69]{Jen69}
-R. D. Jenks ``META/LISP'',
+R. D. Jenks ``META/LISP: An interactive translator writing system'',
 Research Report International Business Machines, Inc., Thomas J.
-Watson Research Center, Yorktown Heights, NY, USA, 1969
+Watson Research Center, Yorktown Heights, NY, USA, 1969 RC2968 July 1970
 \bibitem[Jen79]{Jen79}
 Jenks, R. D.
 ``MODLISP''
 Proc EUROSAM 79, pp466-480, 1979
-\bibitem[Jen88]{Jen88}
-Jenks, R. D.
-``A Guide to Programming in BOOT''
-Computer Algebra Group, Mathematical Sciences Department, IBM Research
-Draft September 5, 1988
 \bibitem[Jen71]{Jen71}
 R. D. Jenks ``META/PLUS: The syntax extension facility for SCRATCHPAD'',
 Research Report RC 3259, International Business Machines, Inc., Thomas J.
@@ -799,7 +882,12 @@ algebra'' In Golden and Hussain [GH84], pp409-??
 \bibitem[Jen84b]{Jen84b}
 Richard D. Jenks ``A primer: 11 keys to New Scratchpad'' In Fitch [Fit84],
 pp123-147. ISBN 0-387-13350-X LCCN QA155.7.E4 I57 1984
-\bibitem[Jen88]{Jen88}
+\bibitem[Jen88a]{Jen88a}
+Jenks, R. D.
+``A Guide to Programming in BOOT''
+Computer Algebra Group, Mathematical Sciences Department, IBM Research
+Draft September 5, 1988
+\bibitem[Jen88b]{Jen88b}
 Jenks, Richard ``The Scratchpad II Computer Algebra System Interactive
 Environment Users Guide'' Spring 1988
 \bibitem[JT81]{JT81}
@@ -818,7 +906,7 @@ International IMACS Symposium on Symbolic Computation. New Trends and
 Developments. LIFL Univ. Lille, Lille France, 1993
 \bibitem[Jo06]{J006}
 Joyner, David "OSCAS - Maxima" SIGSAM Communications in Computer Algebra, 157
-2006
+2006\\
 \verb|sage.math.washington.edu/home/wdj/sigsam/oscas-cca1.pdf|
 \bibitem[JS92]{JS92}
 Richard D. Jenks and Robert S. Sutor ``AXIOM: The Scientific Computation
@@ -836,13 +924,18 @@ Richard D. Jenks, Robert S. Sutor, and Stephen M. Watt ``Scratchpad II:
 an Abstract Datatype System for Mathematical Computation'' 
 Proceedings Trends in Computer Algebra, Bad Neuenahr, LNCS 296,
 Springer Verlag, (1987)
+\bibitem[JSW88]{JSW88}
+R. D. Jenks, R. S. Sutor, and S. M. Watt ``Scratchpad II: An abstract
+datatype system for mathematical computation'' In Jan{\ss}en [Jan88],
+pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
 \bibitem[JWS88]{JWS88}
 R. D. Jenks, R. S. Sutor, and S. M. Watt ``Scratchpad II:
 an abstract datatype system for mathematical computation'' In Jan{\ss}en
 [Jan88], pp12-37. ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
 \bibitem[JT94]{JT94}
 R. D. Jenks and B. M. Trager. ``How to make AXIOM into a Scratchpad'' In ACM
-[ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994
+[ACM94], pp32-40 ISBN 0-89791-638-7 LCCN QA76.95.I59 1994\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[JT03]{JT03}
 Joswig, Michael and Takayama, Nobuki
 ``Algebra, geometry, and software systems''
@@ -850,29 +943,30 @@ Springer-Verlag ISBN 3-540-00256-1 p291
 \bibitem[Kel00a]{Kel00a}
 Kelsey, Tom
 ``Formal specification of computer algebra''
-University of St Andrews, 6th April 2000
+University of St Andrews, 6th April 2000\\
 \verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbs.ps|
 \bibitem[Kel00b]{Kel00b}
 Kelsey, Tom
 ``Formal specification of computer algebra'' (slides)
-University of St Andrews, Sept 21, 2000
+University of St Andrews, Sept 21, 2000\\
 \verb|www.cs.st-andrews.cs.uk/~tom/pub/fscbstalk.ps|
 \bibitem[Kel99]{Kel99}
 Kelsey, Tom
 ``Formal Methods and Computer Algebra: A Larch Specification of AXIOM 
 Categories and Functors''
-Ph.D. Thesis, University of St Andrews, 1999
-\verb|www.cs.st-andrews.ac.uk/research/publications/Kel00.php|
-\verb|www.cs.st-andrews.ac.uk/research/output/detail?output=Kel00.php|
+Ph.D. Thesis, University of St Andrews, 1999\\
+\verb|www.cs.st-andrews.ac.uk/research/publications/Kel00.php|\\
+\verb|www.cs.st-andrews.ac.uk/research/output/detail?output=Kel00.php|\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Ken99a]{Ken99a}
 Kendall, W.S.
-``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''
-\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
+``Itovsn3 in AXIOM: modules, algebras and stochastic differentials''\\
+\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|\\
 \verb|kendall/personal/ppt/328.ps.gz|
 \bibitem[Ken99b]{Ken99b}
 Kendall, W.S.
-``Symbolic It\^o calculus in AXIOM: an ongoing story
-\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|
+``Symbolic It\^o calculus in AXIOM: an ongoing story\\
+\verb|www2.warwick.ac.uk/fac/sci/statistics/staff/academic-research/|\\
 \verb|kendall/personal/ppt/327.ps.gz|
 \bibitem[KKM89]{KKM89}
 K. Kusche, B. Kutzler, and H. Mayr ``Implementation of a geometry theorem
@@ -882,45 +976,64 @@ ISBN 3-540-51517-8 LCCN QA155.7.E4E86 1987
 G. Keady and G. Nolan ``Production of Argument SubPrograms in the AXIOM -- NAG
 link: examples involving nonleanr systems'' Technical Report TR1/94 
 ATR/7 (NP2680), Numerical Algorithms Group, Inc., Downer's Grove, IL, USA and
-Oxford, UK, 1994
+Oxford, UK, 1994\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[Kos91]{Kos91}
 P.-V. Koseleff ``Word games in free Lie algebras: several bases and formulas''
 Theoretical Computer Science 79(1) pp241-256 Feb. 1991 CODEN TCSCDI
 ISSN 0304-3975
 \bibitem[Lah08]{Lah08}
-Lahey, Tim "Sage Integration Testing"
+Lahey, Tim "Sage Integration Testing"\\
 \verb|http://github.com/tjl/sage_int_testing| Dec. 2008
 \bibitem[Lam91]{Lam91}
 L. A. Lambe ``Resolutions via homological perturbation'' Journal of Symbolic
 Computation 12(1) pp71-87 July 1991 CODEN JSYCEH ISSN 0747-7171
+\bibitem[Lam92]{Lam92}
+Larry Lambe
+``Next Generation Computer Algebra Systems AXIOM and the Scratchpad
+Concept: Applications to Research in Algebra''
+$21^{st}$ Nordic Congress of Mathematicians 1992\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[Lam93]{Lam93}
+Larry Lambe
+``On Using Axiom to Generate Code'' (preprint) 1993\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[LL93]{LL93}
+Larry Lambe and Richard Luczak
+``Object-Oriented Mathematical Programming and Symbolic/Numeric Interface''
+$3^{rd}$ International Conf. on Expert Systems in Numerical Computing 1993\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[LeB91]{LeB91}
 S.E.LeBlanc. ``The use of MathCAD and Theorist in the ChE classroom'' In
 Anonymous [Ano91], pp287-299 (vol. 1) 2 vols.
 \bibitem[Leb08]{Leb08}
 Lebedev, Yuri
 ``OpenMath Library for Computing on Riemann Surfaces''
-PhD thesis, Nov 2008 Florida State University
+PhD thesis, Nov 2008 Florida State University\\
 \verb|www.math.fsu.edu/~ylebedev/research/HyperbolicGeometry.html|
 \bibitem[Le96]{Le96}
 Lecerf, Gr\'egoire 
 ``Dynamic Evaluation and Real Closure Implementation in Axiom''
-June 29, 1996 
+June 29, 1996 \\
 \verb|www.math.uvsq.fr/~lecerf/software/drc/drc.ps|
+\bibitem[Leexx]{Leexx}
+Andr\'e M.A. van Leeuwen
+``Representation of mathematical object in interactive books''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[Lev95]{Lev95}
+A. H. M. Levelt, editor ISSAC '95: Proceedings of the 1995 International
+Symposium on Symbolic and Algebraic Computation: July 10-12, 1995, Montreal,
+Canada ISSAC-PROCEEDINGS-1995. ACM Press, New York, NY 10036, USA, 1995
+ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
 \bibitem[Lin93]{Lin93}
 Linton, Steve
-``Vector Enumeration Programs, version 3.04''
+``Vector Enumeration Programs, version 3.04''\\
 \verb|www.cs.st-andrews.ac.uk/~sal/nme/nme_toc.html#SEC1|
 \bibitem[LD97]{LD97}
 Richard Liska, Ladislav Drska, Jiri Limpouch, Milan Sinor, Michael Wester,
 Franz Winkler "Computer Algebra - algorithms, systems and applications''
-June 2, 1997 
+June 2, 1997 \\
 \verb|kfe.fjfi.cvut.cz/~liska/ca/all.html|
-\bibitem[Lev95]{Lev95}
-A. H. M. Levelt, editor ISSAC '95: Proceedings of the 1995 International
-Symposium on Symbolic and Algebraic Computation: July 10-12, 1995, Montreal,
-Canada ISSAC-PROCEEDINGS-1995. ACM Press, New York, NY 10036, USA, 1995
-ISBN 0-89791-699-9 LCCN QA76.95 I59 1995 ACM order number 505950
 \bibitem[LM91]{LM91}
 R. Lynch and H. A. Mavromatis ``New quantum mechanical perturbation technique
 using an 'electronic scratchpad' on an inexpensive computer'' American
@@ -929,7 +1042,7 @@ Journal of Pyhsics, 59(3) pp270-273, March 1991. CODEN AJPIAS ISSN 0002-9505
 Li, Xin, and Maza, Moreno ``Efficient Implementation of Polynomial 
 Arithmetic in a Multiple-Level Programming Environment'' Lecture Notes in
 Computer Science Springer Vol 4151/2006 ISBN 978-3-540-38084-9 pp12-23 
-Proceedings of International Congress of Mathematical Software ICMS 2006
+Proceedings of International Congress of Mathematical Software ICMS 2006\\
 \verb|www.csd.uwo.ca/~moreno//Publications/Li-MorenoMaza-ICMS-06.pdf|
 \bibitem[Luc86]{Luc86}
 Michael Lucks ``A fast implementation of polynomial factorization'' In
@@ -950,7 +1063,7 @@ J. Mathews ``Symbolic computational algebra applied to Picard iteration''
 Mathematics and computer education, 23(2) pp117-122 Spring 1989 CODEN MCEDDA,
 ISSN 0730-8639
 \bibitem[McJ11]{McJ11}
-McJones, Paul ``Software Presentation Group -- Common Lisp family''
+McJones, Paul ``Software Presentation Group -- Common Lisp family''\\
 \verb|www.softwarepreservation.org/projects/LISP/common_lisp_family|
 \bibitem[Mio90]{Mio90}
 A. Miola, editor. Design and Implementation of Symbolic Computation Systems, 
@@ -983,6 +1096,11 @@ CACM August 1971 Vol 14 No. 8 pp527-537
 E. Melachrinoudis and D. L. Rumpf ``Teaching advantages of transparent computer
 software -- MathCAD'' CoED, 10(1) pp71-76, January-March 1990 CODEN CWLJDP
 ISSN 0736-8607
+\bibitem[NPxx]{NPxx}
+William Naylor, Julian Padget
+``From Untyped to Polymorphically Typed Objects in Mathematical Web 
+Services''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Nor75]{Nor75}
 A. C. Norman ``Computing with formal power series'' ACM Transactions on
 Mathematical Software, 1(4) pp346-356 Dec. 1975 CODEN ACMSCU ISSN 0098-3500
@@ -990,7 +1108,7 @@ Mathematical Software, 1(4) pp346-356 Dec. 1975 CODEN ACMSCU ISSN 0098-3500
 Norman, A.C. ``The SCRATCHPAD Power Series Package''
 IBM T.J. Watson Research RC4998
 \bibitem[OpenMa]{OpenMa}
-``OpenMath Technical Overview''
+``OpenMath Technical Overview''\\
 \verb|www.openmath.org/overview/technical.html|
 \bibitem[Oll89]{Oll89}
 F. Ollivier ``Inversibility of rational mappings and structural 
@@ -1007,18 +1125,51 @@ ISSAC 2007 Proceedings Vol 41 No 3 Sept 2007 p114
 S. R. Petric, editor. Proceedings of the second symposium on Symbolic and
 Algebraic Manipulation, March 23-25, 1971, Los Angeles, California, ACM Press,
 New York, NY 10036, USA, 1971. LCCN QA76.5.S94 1971
+\bibitem[Pet90]{Pet90}
+Michel Petitot
+``Types r\'ecursifs en scratchpad, application aux polyn\^omes non
+commutatifs''
+LIFL, 1990
 \bibitem[Pet93]{Pet93}
 M. Petitot ``Experience with Axiom'' In Jacob et al. [JOS93], page 240
+\bibitem[PT99]{PT99}
+Erik Poll, Simon Thompson
+``The Type System of Aldor''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[PT00]{PT00}
+Erik Poll, Simon Thompson
+``Integrating Computer Algebra and Reasoning through the Type System
+of Aldor''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[PTxx]{PTxx}
+Erik Poll, Simon Thompson
+``Adding the axioms to Axiom. Toward a system of automated reasoning in
+Aldor''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[Polxx]{Polxx}
+Erik Poll
+``The type system of Axiom''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Pur86]{Pur86}
 J. Purtilo ``Applications of a software interconnection system in mathematical
 problem solving environments'' In Bruce W. Char, editor. Proceedings of the
 1986 Symposium on Symbolic and Algebraic Computation: SYMSAC '86, July 21-23,
 ACM Press, New York, NY 10036, USA, 1986. ISBN 0-89791-199-7 LCCN QA155.7.E4
 A281 1986 ACM order number 505860
+\bibitem[CCxx]{CCxx}
+Quentin Carpent, Christophe Conil
+``Utilisation de logiciels libres pour la r\'ealisation de TP MT26'' (2004)\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[Rob93]{Rob93}
+Nicolas Robidoux 
+``Does Axiom Solve Systems of O.D.E's Like Mathematica?''
+July 1993\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Rio92]{Rio92}
 R. Rioboo ``Real algebraic closure of an ordered field, implementation in 
 Axiom'' In Wang [Wan92], pp206-215 ISBN 0-89791-489-9 (soft cover)
-0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992
+0-89791-490-2 (hard cover) LCCN QA76.95.I59 1992\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Roe95]{Roe95}
 K. G. Roesner ``Verified solutions for parameters of an exact solution for
 non-Newtonian liquids using computer algebra'' Zeitschrift fur Angewandte
@@ -1051,14 +1202,21 @@ W. M. Seiler ``Completion to involution in AXIOM'' in Calmet [Cal94] pp103-104
 \bibitem[Sie94b]{Sie94b}
 W. M. Seiler ``Pseudo differential operators and integrable systems in AXIOM''
 Computer Physics Communications, 79(2) pp329-340 April 1994 CODEN CPHCBZ
-ISSN 0010-4655
+ISSN 0010-4655\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Sei95]{Sei95}
 W.M.Seiler ``Applying AXIOM to partial differential equations''
 Internal Report 95-17, Universit\"at Karlsruhe, Fakult\"at f\"ur Informatik
-1995
+1995\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[SC95]{SC95}
+W.M. Seiler and J. Calmet
+``JET -- An Axiom Environment for Geometric Computations with Differential
+Equations''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Seixx]{Seixx}
 Seiler, Werner M.
-``DETools: A Library for Differential Equations''
+``DETools: A Library for Differential Equations''\\
 \verb|iaks-www.ira.uka.de/iaks-calmet/werner/werner.html|
 \bibitem[Sch92]{Sch92}
 J. Sch\"u ``Implementing des Cartan-Kuranishi-Theorems in AXIOM''
@@ -1075,7 +1233,8 @@ ISSN 0747-7171
 \bibitem[SJ87a]{SJ87a}
 R. S. Sutor and R. D. Jenks ``The type inference and coercion facilities in
 the Scratchpad II interpreter'' In Wexelblat [Wex87], pp56-63
-ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)
+ISBN 0-89791-235-7 LCCN QA76.7.S54 v22:7 SIGPLAN Notices, v22 n7 (July 1987)\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[SJ87c]{SJ87c}
 Robert S. Sutor and Richard Jenks ``The type inference and coercion facilities
 in the Scratchpad II interpreter'' Research report RC 12595 (\#56575),
@@ -1084,6 +1243,10 @@ IBM Thomas J. Watson Research Center, Yorktown Heights, NY, USA, 1987, 11pp
 Sutor, Robert S. ``The Scratchpad II Computer Algebra System. Using and
 Programming the Interpreter'' IBM Course presentation slide deck
 Spring 1987
+\bibitem[Su88]{Su88}
+Robert S. Sutor
+``A guide to programming in the scratchpad 2 interpreter''
+IBM Manual, March 1988
 \bibitem[Sme92]{Sme92}
 Trevor J. Smedley ``Using pictorial and object oriented programming for
 computer algebra'' In Hal Berghel et al., editors. Applied computing --
@@ -1100,7 +1263,7 @@ Oct.-Dec. 1988 CODEN JSYCEH ISSN 0747-7171
 ``Algorithmic Methods For Lie Pseudogroups'' 
 In N. Ibragimov, M. Torrisi and A. Valenti, editors, Proc. Modern Group
 Analysis: Advanced Analytical and Computational Methods in Mathematical
-Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993
+Physics, pp337-344, Acireale (Italy), 1992 Kluwer, Dordrecht 1993\\
 \verb|iaks-www.ira.uka.de/iaks-calmet/werner/Papers/Acireale92.ps.gz|
 \bibitem[SSV87]{SSV87}
 P. Senechaud, F. Siebert, and G. Villard ``Scratchpad II: Pr{\'e}sentation 
@@ -1110,10 +1273,19 @@ Grenoble, France, Feb 1987
 R. S. Sutor ``The Scratchpad II computer algebra language and system'' In
 Buchberger and Caviness [BC85], pp32-33 ISBN 0-387-15983-5 (vol. 1),
 0-387-15984-3 (vol. 2) LCCN QA155.7.E4 E86 1985 Two volumes.
-\bibitem[SW88]{SW88}
-R. D. Jenks, R. S. Sutor, and S. M. Watt ``Scratchpad II: An abstract
-datatype system for mathematical computation'' In Jan{\ss}en [Jan88],
-pp12-?? ISBN 3-540-18928-9, 0-387-18928-9 LCCN QA155.7.E4T74 1988
+\bibitem[Tho00]{Tho00}
+Simon Thompson
+``Logic and dependent types in the Aldor Computer Algebra System''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[TTxx]{TTxx}
+Simon Thompson and Leonid Timochouk
+``The Aldor\-\- language''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
+\bibitem[Tou98]{Tou98}
+Emmanuel Touratier
+``Etude du typage dans le syst\`eme de calcul scientifique Aldor''
+Universit\'e de Limoges 1998\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[vH94]{vH94}
 M. van Hoeij ``An algorithm for computing an integral basis in an algebraic
 function field'' Journal of Symbolic Computation, 18(4) pp353-363 Oct. 1994
@@ -1144,16 +1316,19 @@ LCCN QA76.95.I59 1991
 \bibitem[Wat94]{Wat94}
 Watt, Stephen M., Broadbery, Peter A., Dooley, Samuel S., and Iglio, Pietro
 ``A First Report on the A\# Compiler (including benchmarks)''
-IBM Research Report RC19529 (85075) May 12, 1994
+IBM Research Report RC19529 (85075) May 12, 1994\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Wat94a]{Wat94a}
 Watt, Stephen M., et. al. ``A\# User's Guide''
 Version 1.0.0 O($\epsilon{}^1$) June 8, 1994
 \bibitem[Wat95]{Wat95}
-Watt, S.M. et al, AXIOM Library Compiler Users Guide
-NAG Ltd, 1995
+S.M. Watt, P.A. Broadbery, S.S. Dooley, P. Iglio, J.M. Steinbach,
+S.C. Morrison, R.S. Sutor
+``AXIOM Library Compiler Users Guide''
+The Numerical Algorithms Group (NAG) Ltd, 1994
 \bibitem[WJ12]{WJ12}
 Wei-Jiang
-``Top free algebra System''
+``Top free algebra System''\\
 \verb|wei-jiang.com/it/software/top-free-algebra-system-bye-mathematica-bye-maple|
 \bibitem[WJST90]{WJST90}
 S.M. Watt, R.D. Jenks, R.S. Sutor, and B.M. Trager. ``The Scratchpad II 
@@ -1162,6 +1337,11 @@ for Scientific Problem Solving, Academic Press, New York, 1990
 \bibitem[Web93]{Web93}
 A. Weber. ``On coherence in computer algebra'' In Miola [Mio93], pp95-106
 ISBN 3-540-57235-X LCCN QA76.9.S88I576 1993
+\bibitem[Web94]{Web94}
+Andreas Weber
+``Algorithms for Type Inference with Coercions''
+ISSAC 94 ACM 0-89791-638-7/94/0007\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Wes99]{Wes99}
 Wester, Michael J. ``Computer Algebra Systems''
 John Wiley and Sons 1999 ISBN 0-471-98353-5
@@ -1175,11 +1355,15 @@ Shunro Watanabe and Morio Nagata, editors. ISSAC '90 Proceedings of the
 International Symposium on Symbolic and Algebraic Computation ACM Press,
 New York, NY, 10036, USA. 1990 ISBN 0-89791-401-5 LCCN QA76.95.I57 1990
 \bibitem[WWW1]{WWW1}
-Software Preservation Group
+Software Preservation Group\\
 \verb|www.softwarepresentation.org/projects/LISP/common_lisp_family|
 \bibitem[Yap00]{Yap00}
 Yap, Chee Keng ``Fundamental Problems of Algorithmic Algebra''
 Oxford University Press (2000) ISBN0-19-512516-9
+\bibitem[You04]{You04}
+Saul Youssef
+``Prospects for Category Theory in Aldor'' October 2004\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Yun83]{Yun83}
 Yun, David Y.Y. ``Computer Algebra and Complex Analysis''
 Computational Aspects of Complex Analysis pp379-393
@@ -1238,7 +1422,7 @@ George A. Baker and Peter Graves-Morris
 ``Pade Approximants''
 Cambridge University Press, March 1996 ISBN 9870521450072
 \bibitem[Ba10]{Ba10}
-Baker, Martin ``3D World Simulation''
+Baker, Martin ``3D World Simulation''\\
 \verb|www.euclideanspace.com|
 \bibitem[BK68]{BK68}
 Banks D O and Kurowski I, 
@@ -1319,28 +1503,24 @@ J. Symbolic Computation (1990) 9, pp49-60 Feb 1988
 \bibitem[Bro88a]{Bro88a}
 Bronstein, Manual ``The Transcendental Risch Differential Equation''
 IBM Research Report RC13460 IBM Corp. Yorktown Heights, NY
-\bibitem[Bro90]{Bro90}
+\bibitem[Bro90a]{Bro90a}
 Bronstein, Manuel ``Integration of Elementary Functions''
 J. Symbolic Computation (199) 9, pp117-173 September 1988
-\bibitem[REF-BS93]{REF-BS93}
-Manuel Bronstein and Bruno Salvy ``Full partial fraction decomposition of
-rational functions'' In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2
-LCCN QA76.95 I59 1993
-\verb|http://www.acm.org/pubs/citations/proceedings/issac/164081/|
-\bibitem[Bro98]{Bro98}
+\bibitem[Bro98b]{Bro98b}
 Bronstein, Manuel "Symbolic Integration Tutorial"
 INRIA Sophia Antipolis ISSAC 1998 Rostock
-\bibitem[Bro90]{Bro90}
+\bibitem[Bro90c]{Bro90c}
 M. Bronstein. ``On the integration of elementary functions''
 {\sl Journal of Symbolic Computation} 9(2):117-173, February 1990
-\bibitem[Bro91]{Bro91}
-M. Bronstein. ``The Risch differential equation on an
-algebraic curve'' In S.Watt, editor, {\sl Proceedings of ISSAC'91},
-pages 241-246, ACM Press, 1991.
+\bibitem[REF-BS93]{REF-BS93}
+Manuel Bronstein and Bruno Salvy ``Full partial fraction decomposition of
+rational functions'' In Bronstein [Bro93] pp157-160 ISBN 0-89791-604-2
+LCCN QA76.95 I59 1993\\
+\verb|http://www.acm.org/pubs/citations/proceedings/issac/164081/|
 \bibitem[Bro97]{Bro97}
 M. Bronstein. {\sl Symbolic Integration I--Transcendental Functions.} 
 Springer, Heidelberg, 1997 ISBN 3-540-21493-3
-\bibitem[Bro98]{Bro98}
+\bibitem[REF-Bro98]{REF-Bro98}
 M. Bronstein. ``The lazy hermite reduction'' Rapport de
 Recherche RR-3562, INRIA, 1998
 \bibitem[Car65]{Car65}
@@ -1441,7 +1621,7 @@ James Davenport, ``On Brillhart Irreducibility.'' To appear.
 \bibitem[REF-Dav93]{Ref-Dav93}
 J. H. Davenport ``Primality testing revisited'' Technical Report TR2/93
 (ATR/6)(NP2556) Numerical Algorithms Group, Inc., Downer's Grove, IL, USA
-and Oxford, UK, August 1993
+and Oxford, UK, August 1993\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[DR75]{DR75}
 Davis P J and Rabinowitz P,
@@ -1535,7 +1715,7 @@ Paper 25, AGACSE 2001.
 Fletcher, John P. ``Clifford Numbers and their inverses
 calculated using the matrix representation.'' Chemical Engineering and
 Applied Chemistry, School of Engineering and Applied Science, Aston
-University, Aston Triangle, Birmingham B4 7 ET, U. K. 
+University, Aston Triangle, Birmingham B4 7 ET, U. K. \\
 \verb|www.ceac.aston.ac.uk/research/staff/jpf/papers/paper24/index.php|
 \bibitem[Fle81]{Fle81}
 Fletcher R, 
@@ -1549,6 +1729,12 @@ Forsythe G E,
 ``Generation and use of orthogonal polynomials for data fitting 
 with a digital computer'' 
 J. Soc. Indust. Appl. Math. 5 74--88. (1957) 
+\bibitem[REF-For90]{REF-For90}
+A. Fortenbacher
+``Efficient type inference and coercion in computer algebra''
+Design and Implementation of Symbolic Computation Systems (DISCO 90)
+A. Miola, (ed) vol 429 of Lecture Notes in Computer Science
+Springer-Verlag, pp56-60
 \bibitem[Fox68]{Fox68}
 Fox L and Parker I B, 
 ``Chebyshev Polynomials in Numerical Analysis'' 
@@ -1599,7 +1785,7 @@ Gentleman W M,
 ``Algorithm AS 75. Basic Procedures for Large Sparse or 
 Weighted Linear Least-squares Problems''
 Appl. Statist. 23 448--454. (1974) 
-\bibitem[GM74]{GM74}
+\bibitem[GM74a]{GM74a}
 Gentleman W. M. and Marovich S. B., ``More on algorithms 
 that reveal properties of floating point arithmetic units''
 Comms. of the ACM, 17, 276-277.  (1974)
@@ -1612,7 +1798,7 @@ J. Comput. Appl. Math. 6 295--302.
 Gill P E and Miller G F,
 ``An Algorithm for the Integration of Unequally Spaced Data'' 
 Comput. J. 15 80--83. (1972) 
-\bibitem[GM74]{GM74}
+\bibitem[GM74b]{GM74b}
 Gill P E and Murray W (eds) 
 ``Numerical Methods for Constrained Optimization'' Academic Press. (1974) 
 \bibitem[GM76a]{GM76a}
@@ -1699,7 +1885,7 @@ Acta Appl. Math. 8 (1987), 271-291
 \bibitem[REF-GS92]{REF-GS92}
 J. Grabmeier and A. Scheerhorn ``Finite fields in Axiom'' AXIOM Technical
 Report TR7/92 (ATR/5)(NP2522), Numerical Algorithms Group, Inc., Downer's
-Grove, IL, USA and Oxford, UK, 1992
+Grove, IL, USA and Oxford, UK, 1992\\
 \verb|http://www.nag.co.uk/doc/TechRep/axiomtr.html|
 \bibitem[HL95]{HL95}
 Hach\'e, G. and Le Brigand, D.
@@ -1720,7 +1906,7 @@ Hall G and Watt J M (eds),
 Clarendon Press. (1976)
 \bibitem[Ham04]{Ham04}
 Hamdy, S. ``LiDIA A library for computational number theory''
-Reference manual Edition 2.1.1 May 2004
+Reference manual Edition 2.1.1 May 2004\\
 \verb|www.cdc.informatik.tu-darmstadt.de/TI/LiDIA|
 \bibitem[Ham85]{Ham85}
 Hammarling S,
@@ -1840,7 +2026,7 @@ ISBN 0-937073-81-4 Stanford CA (1992)
 Kolchin, E.R. ``Differential Algebra and Algebraic Groups''
 (Academic Press, 1973).
 \bibitem[Kou10]{Kou10}
-Christoph Koutschan "Axiom / FriCAS"
+Christoph Koutschan "Axiom / FriCAS"\\
 \verb|www.risc.jku.at/education/courses/ws2010/cas/axiom.pdf|
 \bibitem[KL86]{KL86}
 Dexter Kozen and Susan Landau, ``Polynomial Decomposition Algorithms'' 
@@ -1915,13 +2101,13 @@ alg\'{e}brique. {\sl Journal de l'Ecole Polytechnique}, 14:149-193, 1833
 D.Lipson, ``Elements of Algebra and Algebraic Computing'', 
 The Benjamin/Cummings Publishing Company, Inc.-Menlo Park, California, 1981.
 \bibitem[Loe09]{Loe09} 
-Loetzsch, M. ``GTFL - A graphical terminal for Lisp''
+Loetzsch, M. ``GTFL - A graphical terminal for Lisp''\\
 \verb|martin-loetzsch.de/gtfl/|
 \bibitem[Los60]{Los60}
 L\"osch, Friedrich ``Tables of Higher Functions''
 McGraw-Hill Book Company 1960
 \bibitem[LTU10]{LTU10}
-``Lambda the Ultimate''
+``Lambda the Ultimate''\\
 \verb|lambda-the-ultimate.org/node/3663#comment-62440|
 \bibitem[Luk169]{Luk169}
 Luke, Yudell L. ``The Special Functions and their Approximations'' Volume I
@@ -1948,7 +2134,7 @@ Marden M,
 ``Geometry of Polynomials'' 
 Mathematical Surveys. 3 Am. Math. Soc., Providence, RI. (1966)
 \bibitem[Mar07]{Mar07}
-Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''
+Marshak, U. ``HT-AJAX - AJAX framework for Hunchentoot''\\
 \verb|common-lisp.net/project/ht-ajax/ht-ajax.html|
 \bibitem[Mig82]{Mig82}
 Maurice Mignotte, ``Some Useful Bounds''
@@ -1960,6 +2146,12 @@ Report AERE-R 10889. Harwell. (1983)
 \bibitem[Min79]{Min79}
 Henryk Minc, ``Evaluation of Permanents''
 Proc. of the Edinburgh Math. Soc.(1979), 22/1 pp 27-32.
+\bibitem[Mil68]{Mil68}
+J. K. Millen
+``CHARYBDIS: A LISP program to display mathematical expressions on 
+typewriter-like devices'' 
+Interactive Systems for Experimental and Applied Mathematics
+M. Klerer and J. Reinfelds, eds., Academic Press, New York 1968, pp79-90
 \bibitem[MGH74]{MGH74}
 More J J, Garbow B S and Hillstrom K E, 
 ``User Guide for Minpack-1'' 
@@ -2025,7 +2217,7 @@ Olver, Frank W., Lozier, Daniel W., Boisvert, Ronald F., Clark, Charles W. (ed)
 ``NIST Handbook of Mathematical Functions'' (2010) Cambridge University
 Press ISBN 978-0-521-19225-5
 \bibitem[OpenM]{OpenM}
-``OpenMath Technical Overview''
+``OpenMath Technical Overview''\\
 \verb|www.openmath.org/overview/technical.html|
 \bibitem[OR70]{OR70}
 Ortega J M and Rheinboldt W C, 
@@ -2140,7 +2332,7 @@ Mathematical Programming: The State of the Art.
 \bibitem[Pra73]{Pra73}
 Pratt, Vaughan R. ``Top down operator precedence''
 POPL '73 Proceedings of the 1st annual ACM SIGACT-SIGPLAN symposium on
-Principles of programming languages 
+Principles of programming languages \\
 \verb|hall.org.ua/halls/wizzard/pdf/Vaughan.Pratt.TDOP.pdf|
 \bibitem[PTVF95]{PTVF95}
 Press, William H., Teukolsky, Saul A., Vetterling, William T., 
@@ -2161,7 +2353,7 @@ Pryce J D,
 Sturm-Liouville Problems'' 
 J. Num. Anal. 6 103--123. (1986)
 \bibitem[Pu09]{Pu09}
-Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' 
+Puffinware LLC ``Singular Value Decomposition (SVD) Tutorial'' \\
 \verb|www.puffinwarellc.com/p3a.htm|
 \bibitem[QG06]{QG06}
 Gregorio Quintana-Orti and Robert van de Geijn, "Improving the
@@ -2176,7 +2368,7 @@ Ralston A,
 ``A First Course in Numerical Analysis''
 McGraw-Hill. 87--90. (1965) 
 \bibitem[Ra03]{Ra03}
-Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for Literate Programming''
+Ramsey, Norman ``Noweb--A Simple, Extensible Tool for Literate Programming''\\
 \verb|www.eecs.harvard.edu/~nr/noweb|
 \bibitem[Red27]{Red27}
 J.H.Redfield, ``The Theory of Group-Reduced Distributions''
@@ -2198,7 +2390,8 @@ Rocky Mountain J. Math. 14 223--237. (1984)
 Christophe Reutenauer ``Free Lie Algebras''
 Oxford University Press, June 1993 ISBN 0198536798
 \bibitem[Ri10]{Ri10}
-Rich, Albert D. ``Rule-based Mathematics'' \verb|www.apmaths.uwo.ca/~arich|
+Rich, Albert D. ``Rule-based Mathematics''\\
+\verb|www.apmaths.uwo.ca/~arich|
 \bibitem[RF94]{RF94}
 Richardson, Dan and Fitch, John
 ``The identity problem for elementary functions and constants''
@@ -2266,6 +2459,11 @@ preliminary report, Univ. Tuebingen, 1982
 Schonfelder J L, 
 ``The Production of Special Function Routines for a Multi-Machine Library'' 
 Software Practice and Experience. 6(1) (1976)
+\bibitem[REF-SC95]{REF-SC95}
+W.M. Seiler and J. Calmet
+``JET -- An Axiom Environment for Geometric Computations with Differential
+Equations''\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[She68]{She68}
 Shepard D, 
 ``A Two-dimensional Interpolation Function for Irregularly Spaced Data'' 
@@ -2275,7 +2473,7 @@ Princeton. 517--523. 1968
 C. Sims ``Determining the Conjugacy Classes of a Permutation Group''
 Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
 American Math. Soc., 1991, pp191-195
-\bibitem[Sit92]{Sit92}
+\bibitem[REF-Sit92]{REF-Sit92}
 William Sit, ``An Algorithm for Parametric Linear Systems''
 J. Sym. Comp., April 1992
 \bibitem[Smi67]{Smi67}
@@ -2350,7 +2548,7 @@ Chapter 8. NPL Notes on Applied Science (2nd Edition). 16 HMSO. 1961
 Van Dooren P and De Ridder L,
 ``An Adaptive Algorithm for Numerical Integration over an N-dimensional Cube''
 J. Comput. Appl. Math. 2 207--217. (1976) 
-\bibitem[vH94]{vH94}
+\bibitem[REF-vH94]{REF-vH94}
 M. van Hoeij. ``An algorithm for computing an integral
 basis in an algebraic function field'' {\sl J. Symbolic Computation}
 18(4):353-364, October 1994
@@ -2376,21 +2574,21 @@ Andr\'{e} Weil, {\sl Courbes alg\'{e}briques et
 vari\'{e}t\'{e}s Abeliennes} Hermann, Paris, 1971
 \bibitem[Wein]{Wein}
 Weisstein, Eric W. ``Hypergeometric Function''
-MathWorld - A Wolfram Web Resource
+MathWorld - A Wolfram Web Resource\\
 \verb|mathworld.wolfram.com/HypergeometricFunction.html|
 \bibitem[Wei03]{Wei03}
-Weitz, E. ``CL-WHO -Yet another Lisp markup language''
+Weitz, E. ``CL-WHO -Yet another Lisp markup language''\\
 \verb|www.weitz.de/cl-who/|
 \bibitem[Wei06]{Wei06}
 Weitz, E. ``HUNCHENTOOT - The Common Lisp web server
-formerly known as TBNL''
+formerly known as TBNL''\\
 \verb|www.weitz.de/hunchentoot/|
 \bibitem[Wes82a]{Wes82a}
 Wesseling P, 
 ``MGD1 - A Robust and Efficient Multigrid Method'' 
 Multigrid Methods. Lecture Notes in Mathematics. 960
 Springer-Verlag. 614--630. (1982)
-\bibitem[Wes82a]{Wes82a}
+\bibitem[Wes82b]{Wes82b}
 Wesseling P, 
 ``Theoretical Aspects of a Multigrid Method'' 
 SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
@@ -2435,6 +2633,10 @@ MM Research Preprints, 1987
 Wynn P (1956) 
 ``On a Device for Computing the $e_m(S_n )$ Transformation'' 
 Math. Tables Aids Comput. 10 91--96.
+\bibitem[REF-You04]{REF-You04}
+Saul Youssef
+``Prospects for Category Theory in Aldor'' October 2004\\
+\verb|axiom-wiki.newsynthesis.org/public/refs/articles.html|
 \bibitem[Yu76]{Yu76}
 D.Y.Y. Yun. ``On square-free decomposition algorithms''
 {\sl Proceedings of SYMSAC'76} pages 26-35, 1976
diff --git a/changelog b/changelog
index e2f9290..dd42aaf 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130323 tpd src/axiom-website/patches.html 20130323.01.tpd.patch
+20130323 tpd books/bookvolbib add references
 20130321 tpd src/axiom-website/patches.html 20130321.01.tpd.patch
 20130321 tpd books/ps/v104finitefieldfactorization.eps add FFFACTOR
 20130321 tpd src/algebra/Makefile compile FiniteFieldFactorization
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 088f509..cd04378 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4111,5 +4111,7 @@ regression test cleaup
 regression test cleaup
 <a href="patches/20130321.01.tpd.patch">20130321.01.tpd.patch</a>
 books/bookvol10.4 add FiniteFieldFactorization
+<a href="patches/20130323.01.tpd.patch">20130323.01.tpd.patch</a>
+books/bookvolbib add references
  </body>
 </html>
